## win32-loader 0.7.4.2

=== debian/changelog ===
win32-loader (0.7.4.2) unstable; urgency=low

  The « شراب » release.

  * Updated translations:
    - Turkish (hadi canım)
    - Dutch (Jeroen Schot)
    - Spanish (Javier Fernández-Sanguino Peña, Closes: #642362)
    - Persian (New, behrad eslami, Closes: #643297, #643295)
  * Use the -c iconv option to be more fault-tolerant with weird
    translation files.
  * Refresh translations.

 -- Didier Raboud <odyx@debian.org>  Tue, 27 Sep 2011 15:08:48 +0200

win32-loader (0.7.4.1) unstable; urgency=low

  The « Yesterday was C&W party » release.

  * Correct bugnumber closed in previous upload.
  * Fix source packages locations references.
    - In debian/copyright, make sure the path is under debian/.
    - In debian/rules, make sure to point in pool/main and not main/pool.

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Aug 2011 15:54:14 +0200

win32-loader (0.7.4) unstable; urgency=low

  The « Amigne de Vétroz » release.

  [ Samuel Thibault ]
  * Add GNU/Hurd support, disabled for now.
  * Add graphical choice for the GNU/Hurd case.

  [ Colin Watson ]
  * Add loopback and iso9660 GRUB modules, useful for loading files from ISO
    images.

  [ Didier Raboud ]
  * Update debian/copyright and the companion text to point to the real
    source locations.
  * Use the Built-Using field and enhance the sources documentation.
  * Rename the NO_KFREEBSD make envvar to NOT_ALLKERNELS to open the doors
    to GNU/Hurd too.
  * Update hurd-i386 daily images location.
  * Allow one to choose GNU/Hurd from the listed kernels.
  * Rename "Linux cmdline" to "Kernel commandline".
  * Point to the Installation Guide in the companion text. (Closes: 635657).

 -- Didier Raboud <odyx@debian.org>  Wed, 03 Aug 2011 20:45:20 +0200

win32-loader (0.7.3) unstable; urgency=low

  The « Gamaret » release.

  * Updated translations:
    - Uyghur (Gheyret Tohti)
      (Still not activated, no NSIS translation)

  * Fix kFreeBSD kernel variables in win32-loader.ini.

 -- Didier Raboud <odyx@debian.org>  Sun, 19 Jun 2011 14:59:22 +0200

win32-loader (0.7.2) unstable; urgency=low

  The « Raisinée » release.

  * Use bzip2 compression for the source tarball.
  * Make win32-loader work from kFreeBSD CDs.
    - Add gzio grub module as kernels are gz-compressed.
    - Allow new win32-loader.ini option: kernel=, to be specified on the CDs.

 -- Didier Raboud <odyx@debian.org>  Thu, 16 Jun 2011 21:59:55 +0200

win32-loader (0.7.1) unstable; urgency=low

  The « Fendant » release.

  * Updated translations:
    - Catalan (Jordi Mallach, Closes: #619378)
    - Japanese (Kenshi Muto)
    - Bosnian (Armin Besirovic)

  [ Joey Hess ]
  * Update i386 daily build location.

  [ Colin Watson ]
  * Build-depend on the new grub-pc-bin, which is a less intrusive
    build-dependency than grub-pc.

  [ Stephen Kitt ]
  * Build with mingw-w64. (Closes: #623621)

  [ Didier Raboud ]
  * Fix long description to remove the mention of the standalone version
    which is uploaded "byhand" anyway.
  * Replace the GTK screenshot by a more recent one, featuring SpaceFun.
    Document the creation of the bmp picture from its bigger-size png
    source using convert.
  * Build-Depend on the mingw-w64-based NSIS.
  * Bump Standards-Version to 3.9.2.0 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Wed, 15 Jun 2011 12:54:25 +0200

=== debian/control ===
Source: win32-loader
Section: utils
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <odyx@debian.org>
Build-Depends:
 debhelper (>= 7.0.50),
 nsis (>= 2.43-4), nsis-pluginapi,
 mingw-w64,
 gettext,
 grub-pc-bin (>= 1.99~rc1-3),
 loadlin (>= 1.6c.really1.6c.nobin-1~),
 locales-all,
 gpgv-win32, debian-archive-keyring,
 cpio-win32 (>= 2.11-4), gzip-win32
Standards-Version: 3.9.2.0
Vcs-Browser: http://git.debian.org/?p=d-i/win32-loader.git
Vcs-Git: git://git.debian.org/d-i/win32-loader.git

Package: win32-loader
Architecture: all
Depends: ${misc:Depends}, base-files (>= 4.0.1~)
Built-Using: ${w32-loader:built-using}
Suggests: wine
Description: Debian-Installer loader for win32
 This package provides a win32 program that can be used as a loader for
 Debian Installer, acting as a more user-friendly boot mechanism than
 traditional BIOS-based boot.
 .
 This package contains the cdrom/usb-disk add-on that starts a media-based
 install.

## win32-loader 0.7.4.3

=== Makefile ===

export SHELL := bash

PACKAGE	:= win32-loader
VERSION	:= $(shell head -n 1 debian/changelog | sed -e "s/^$(PACKAGE) (\(.*\)).*/\1/g")

NSIS_CC		:= i686-w64-mingw32-gcc -Os
NSIS_STRIP	:= i686-w64-mingw32-strip
NSIS_CFLAGS	:= -Wl,--file-alignment,512 -Werror -D_WIN32_WINNT=0x0500

ifeq ($(wildcard /usr/i686-w64-mingw32/include/exdll.h), /usr/i686-w64-mingw32/include/exdll.h)
NSIS_CFLAGS	+= -DHAVE_EXDLL_H
else
NSIS_CFLAGS	+= -L/usr/i686-w64-mingw32/lib/nsis/ -lpluginapi
endif

# Standard makensis call
MAKENSIS	:= makensis -V3

# Add to it some version'ing and date
MAKENSIS	+= -DVERSION=$(VERSION) -D4DIGITS_DATE=`date +%Y.%m.%d.%H%M`

ifdef OUTFILE_NAME
MAKENSIS	+= -D_OUTFILE_NAME=$(OUTFILE_NAME)
endif

# Distributor/Company name (defaults to "The Debian Project")
ifdef COMPANY_NAME
MAKENSIS	+= -D_COMPANY_NAME=$(COMPANY_NAME)
endif

# Distribution name (ASCII only, please)
ifdef TARGET_DISTRO
MAKENSIS	+= -DTARGET_DISTRO=$(TARGET_DISTRO)
endif

# Standalone version : Not linked to a website with preseed.cfg
ifdef STANDALONE
MAKENSIS	+= -DNOCD=yes
OPTIONS_TXT	+= +net
endif

# Network version : Linked to a website with preseed.cfg
ifdef NETWORK_BASE_URL
# Embed the md5sum or sha1sum of the $(NETWORK_BASE_URL)/preseed.cfg file for enhanced security.
MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL) -DNOCD=yes -DNETWORK_BASE_URL_CHECKSUM=$(NETWORK_BASE_URL_CHECKSUM)
OPTIONS_TXT	+= +url
endif

# PXE version (which is standalone too)
ifdef PXE
MAKENSIS	+= -DPXE=yes -DNOCD=yes
OPTIONS_TXT	+= +pxe
endif

# Disabling the kFreeBSD download
ifndef NOT_ALLKERNELS
MAKENSIS	+= -DALLKERNELS=yes
else
OPTIONS_TXT	+= =linux
endif

ifdef OPTIONS_TXT
MAKENSIS	+= -DOPTIONS_TXT="$(OPTIONS_TXT)"
endif

# hard disk
GRUB_MODULES	+= biosdisk
# partmap
GRUB_MODULES	+= part_msdos part_gpt
# fs
GRUB_MODULES	+= fat ntfs ntfscomp
# used in our grub.cfg
GRUB_MODULES	+= search linux bsd multiboot vbe boot
# might be useful for debugging
GRUB_MODULES	+= minicmd cat cpuid chain halt help ls reboot
# useful for loading files from ISO images
GRUB_MODULES	+= loopback iso9660
ifndef NOT_ALLKERNELS
# gzio is needed for kFreeBSD
GRUB_MODULES    += gzio
endif
ifdef PXE
# Booting the pxe.lkrn requires linux16
GRUB_MODULES	+= linux16
endif

all: win32-loader.exe g2ldr g2ldr.mbr

core.img:
	grub-mkimage --output=$@ --prefix=/win32-loader --format=i386-pc $(GRUB_MODULES)

g2ldr: /usr/lib/grub/i386-pc/g2hdr.bin core.img
	cat $^ > $@

g2ldr.mbr: /usr/lib/grub/i386-pc/g2ldr.mbr
	cp $^ $@

loadlin.pif: genpif
	bash $^ > $@

loadlin.exe: /usr/lib/loadlin/loadlin.exe.gz
	gunzip -c $^ > $@

ifdef PXE
pxe.target: pxe.lkrn templates/ternary_choice.ini
else
pxe.target:
endif

templates/gtk.bmp: templates/gtk_orig.png
	convert $^ -resize 107x80 BMP3:$@

win32-loader.exe: main.nsi maps.ini \
		templates/binary_choice.ini templates/graphics.ini templates/custom.ini templates/4_choices.ini \
		templates/gtk.bmp templates/text.bmp \
		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
		plugins/sha1sum.dll \
		pxe.target \
		swirl.ico loadlin.pif loadlin.exe g2ldr g2ldr.mbr
	$(MAKE) -C l10n
	$(MAKENSIS) main.nsi
ifndef OUTFILE_NAME
	du -h win32-loader.exe
else
	du -h $(OUTFILE_NAME)
endif

plugins/cpuid/test64.dll: plugins/cpuid/cpuid.c plugins/cpuid/plugin.c
	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
	$(NSIS_STRIP) $@

plugins/systeminfo/systeminfo.dll: plugins/systeminfo/systeminfo.c
	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
	$(NSIS_STRIP) $@

plugins/string.dll: plugins/string.c
	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
	$(NSIS_STRIP) $@

plugins/sha1sum.dll: plugins/sha1sum.c
	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
	$(NSIS_STRIP) $@

iso: stable.iso daily.iso
stable.iso: \
  netboot/download-stable-stamp \
  netboot/stable/win32-loader.exe netboot/stable/g2ldr netboot/stable/g2ldr.mbr \
  netboot/stable/autorun.inf netboot/stable/win32-loader.ini \
  $(NULL)
	genisoimage -r -J -o $@ netboot/stable

daily.iso: \
  netboot/download-daily-stamp \
  netboot/daily/win32-loader.exe netboot/daily/g2ldr netboot/daily/g2ldr.mbr \
  netboot/daily/autorun.inf netboot/daily/win32-loader.ini \
  $(NULL)
	genisoimage -r -J -o $@ netboot/daily

BASE_URL=http://ftp.nl.debian.org/debian/dists/stable/main
netboot/download-stable-stamp:
	mkdir -p netboot/stable/install.{386,amd}/gtk
	wget $(BASE_URL)/installer-i386/current/images/netboot/debian-installer/i386/linux \
		-O netboot/stable/install.386/vmlinuz
	wget $(BASE_URL)/installer-i386/current/images/netboot/debian-installer/i386/initrd.gz \
		-O netboot/stable/install.386/initrd.gz
	wget $(BASE_URL)/installer-i386/current/images/netboot/gtk/debian-installer/i386/initrd.gz \
		-O netboot/stable/install.386/gtk/initrd.gz
	wget $(BASE_URL)/installer-amd64/current/images/netboot/debian-installer/amd64/linux \
		-O netboot/stable/install.amd/vmlinuz
	wget $(BASE_URL)/installer-amd64/current/images/netboot/debian-installer/amd64/initrd.gz \
		-O netboot/stable/install.amd/initrd.gz
	wget $(BASE_URL)/installer-amd64/current/images/netboot/gtk/debian-installer/amd64/initrd.gz \
		-O netboot/stable/install.amd/gtk/initrd.gz
	touch $@

netboot/download-daily-stamp:
	mkdir -p netboot/daily/install.{386,amd}/gtk
	wget http://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/linux \
		-O netboot/daily/install.386/vmlinuz
	wget http://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/initrd.gz \
		-O netboot/daily/install.386/initrd.gz
	wget http://d-i.debian.org/daily-images/i386/daily/netboot/gtk/debian-installer/i386/initrd.gz \
		-O netboot/daily/install.386/gtk/initrd.gz
	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/linux \
		-O netboot/daily/install.amd/vmlinuz
	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/initrd.gz \
		-O netboot/daily/install.amd/initrd.gz
	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/gtk/debian-installer/amd64/initrd.gz \
		-O netboot/daily/install.amd/gtk/initrd.gz
	touch $@

netboot/stable/autorun.inf netboot/daily/autorun.inf: autorun.inf
	mkdir -p netboot/{stable,daily}
	todos < $< > $@
netboot/stable/win32-loader.ini netboot/daily/win32-loader.ini: win32-loader.ini
	mkdir -p netboot/{stable,daily}
	todos < $< > $@

netboot/stable/win32-loader.exe netboot/daily/win32-loader.exe: win32-loader.exe
	mkdir -p netboot/{stable,daily}
	cp $^ $@

netboot/stable/% netboot/daily/%: %
	mkdir -p netboot/{stable,daily}
	cp $(shell basename $@) $@

clean:
	$(MAKE) -C l10n clean
	rm -f plugins/cpuid/*.dll plugins/cpuid/*.exe plugins/systeminfo/*.dll plugins/*.dll win32-loader.exe \
		*.iso *~ */*~ core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe

distclean: clean
	rm -rf netboot

=== l10n/Makefile ===
# Add only languages really supported by NSIS there
# For others, a PO file may be added and kept until NSIS is translated
# Languages not yet supported by NSIS: ast bn dz kk ml ta te ug vi
LINGUAS= ar be bg bs ca cs da de el en eo es eu fa fi fr ga gl he hr hu is it ja ko lt nb nl pl pt pt_BR ro ru sk sl sq sv th tr uk zh_CN zh_TW

all: templates/all.nsh templates/dialog.nsh po/messages.pot

templates/dialog.nsh: templates/all.nsh
	for i in $(LINGUAS) ; do \
		echo "Push \$${`LANGUAGE=$$i ./win32-loader.sh LANG_ENGLISH`}" ; \
		echo "Push \"`LANGUAGE=$$i ./win32-loader.sh English`\"" ; \
	done > $@

templates/all.nsh: $(foreach lang, $(LINGUAS), templates/$(lang).nsh)
	for i in $^ ; do echo "; BEGIN $$i" ; cat $$i ; echo "; END $$i" ; done > $@

win32-loader: win32-loader.c
	gcc -DTEXTDOMAINDIR=\"$(CURDIR)/locale\" $^ -o $@

templates/en.nsh: win32-loader.sh win32-loader
	mkdir -p templates
	LANGUAGE=C ./win32-loader.sh > $@

templates/%.nsh: po/%.po win32-loader.sh win32-loader po/messages.pot
	mkdir -p templates locale/$*/LC_MESSAGES
	msgmerge -U po/$*.po po/messages.pot
	msgfmt -c --statistics -o locale/$*/LC_MESSAGES/win32-loader.mo $<
	LANGUAGE=$* ./win32-loader.sh > $@

po/messages.pot: win32-loader.sh win32-loader.c
	xgettext --from-code=utf-8 -ctranslate --keyword=_ $^ -o $@

clean:
	rm -rf *~ templates locale win32-loader

=== debian/changelog ===
win32-loader (0.7.4.3) unstable; urgency=low

  The « Гнулар » release.

  * Updated translations:
    - Czech (Miroslav Kure)
    - Dutch (Jeroen Schot)
    - French (Christian Perrier)
    - German (Philipp Kern)
    - Icelandic (Sveinn í Felli)
    - Italian (Milo Casagrande)
    - Kazakh (Baurzhan Muftakhidinov, Closes: #653344)
    - Norwegian Bokmål (Hans Fredrik Nordhaug)
    - Persian (Hamid, Christian Perrier, Closes: #643728)
    - Portuguese (Miguel Figueiredo)
    - Russian (Yuri Kozlov, Closes: #646082)
    - Slovak (Ivan Masár, Christian Perrier, Closes: #648198)
    - Spanish (Javier Fernández-Sanguino Peña, Closes: #654535)
    - Swedish (Martin Bagge)
    - Belarusian, Bulgarian, Bosnian, Catalan, Greek
      Esperanto, Spanish, Finnish, Irish, Galician,
      Hungarian, Japanese, Thai, Turkish, Ukrainian updated
      (Christian Perrier in multilingual mode)

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jan 2012 10:27:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <odyx@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50),
- nsis (>= 2.43-4), nsis-pluginapi,
+ nsis (>= 2.46-7~), nsis-pluginapi,
  mingw-w64,
  gettext,
  grub-pc-bin (>= 1.99~rc1-3),

=== debian/rules ===
#!/usr/bin/make -f

# Install the win32-loader-standalone.exe as debian/tools/win32-loader/$(SUITE)/win32-loader.exe on the mirrors
BYHAND ?= yes

W32_VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
W32_BYHAND_NAME := win32-loader_$(W32_VERSION)_all

B_D_PACKAGES := grub-pc-bin cpio-win32 gzip-win32 gpgv-win32 debian-archive-keyring loadlin

PACKAGES_LIST := $(shell set -e; \
	for p in ${B_D_PACKAGES}; \
	do \
		if test `dpkg-query --showformat='x$${Source}x' --show $$p` = "xx"; \
		then \
			dpkg-query --showformat='$${Package;-25} $${Version;-25} http://ftp.debian.org/debian/pool/main/$${Package;1}/$${Package}\\n' --show $$p; \
		else \
			dpkg-query --showformat='$${Package;-25} $${Version;-25} http://ftp.debian.org/debian/pool/main/$${Source;1}/$${Source}\\n' --show $$p; \
		fi; \
	done)

BUILT_USING_LIST := $(shell set -e; \
	for p in ${B_D_PACKAGES}; \
	do \
		if test `dpkg-query --showformat='x$${Source}x' --show $$p` = "xx"; \
		then \
			dpkg-query --showformat='$${Package} (= $${Version}), ' --show $$p; \
		else \
			dpkg-query --showformat='$${Source} (= $${Version}), ' --show $$p; \
		fi; \
	done)

NSIS_VERSION  := $(shell dpkg-query -f='$${Version}' -W nsis )

%:
	dh $@

override_dh_auto_build:
ifeq ($(BYHAND),yes)
	# Build the standalone version
	STANDALONE=yes \
		OUTFILE_NAME=$(W32_BYHAND_NAME).exe \
		dh_auto_build
	
	# Prepare the README file
	awk '{sub(/@PACKAGES_LIST@/,"$(PACKAGES_LIST)")}1 \
             {sub(/@NSIS_VERSION@/,"$(NSIS_VERSION)")}1 \
             {sub(/@W32_VERSION@/,"$(W32_VERSION)")}1' \
		debian/win32-loader_doc.txt > $(W32_BYHAND_NAME).txt
	cat debian/copyright >> $(W32_BYHAND_NAME).txt
endif
	# Build the cdrom version
	OUTFILE_NAME=win32-loader.exe \
		dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(W32_BYHAND_NAME).exe
	rm -f $(W32_BYHAND_NAME).txt

override_dh_builddeb:
	dh_builddeb
ifeq ($(BYHAND),yes)
	cp $(W32_BYHAND_NAME).exe ../
	dpkg-distaddfile $(W32_BYHAND_NAME).exe byhand -

	cp $(W32_BYHAND_NAME).txt ../
	dpkg-distaddfile $(W32_BYHAND_NAME).txt byhand -
endif

override_dh_gencontrol:
	dh_gencontrol -- -Vw32-loader:built-using="$(BUILT_USING_LIST)"

## win32-loader 0.7.4.7+deb7u2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 
 export SHELL := bash
+
+# Targets that will always be run (as they depend on stuff from installed packages)
+.PHONY: core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe pxe.lkrn
 
 PACKAGE	:= win32-loader
 VERSION	:= $(shell head -n 1 debian/changelog | sed -e "s/^$(PACKAGE) (\(.*\)).*/\1/g")
@@ -101,6 +104,9 @@
 
 loadlin.exe: /usr/lib/loadlin/loadlin.exe.gz
 	gunzip -c $^ > $@
+
+pxe.lkrn: /usr/lib/ipxe/ipxe.lkrn
+	cp $^ $@
 
 ifdef PXE
 pxe.target: pxe.lkrn templates/ternary_choice.ini
@@ -208,7 +214,7 @@
 clean:
 	$(MAKE) -C l10n clean
 	rm -f plugins/cpuid/*.dll plugins/cpuid/*.exe plugins/systeminfo/*.dll plugins/*.dll win32-loader.exe \
-		*.iso *~ */*~ core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe
+		*.iso *~ */*~ core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe pxe.lkrn
 
 distclean: clean
 	rm -rf netboot

=== l10n/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Add only languages really supported by NSIS there
 # For others, a PO file may be added and kept until NSIS is translated
 # Languages not yet supported by NSIS: ast bn dz kk ml ta te ug vi
-LINGUAS= ar be bg bs ca cs da de el en eo es eu fa fi fr ga gl he hr hu is it ja ko lt nb nl pl pt pt_BR ro ru sk sl sq sv th tr uk zh_CN zh_TW
+LINGUAS= ar be bg bs ca cs da de el en eo es eu fa fi fr ga gl he hr hu is it ja ko lt nb nl pl pt pt_BR ro ru sk sl sq sr sr@latin sv th tr uk zh_CN zh_TW
 
 all: templates/all.nsh templates/dialog.nsh po/messages.pot

=== debian/changelog ===
win32-loader (0.7.4.7+deb7u2) stable; urgency=low

  * Wheezy 7.6 point-release rebuild to update the embedded dependencies.

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Jul 2014 10:49:54 +0200

win32-loader (0.7.4.7+deb7u1) stable; urgency=low

  * Post-Wheezy release rebuild to update the embedded dependencies.

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Jun 2013 21:31:52 +0200

win32-loader (0.7.4.7) unstable; urgency=low

  The « أسد » release.

  [ Christian Perrier ]
  * Updated translations:
    - Arabic (Ossama Khayat) Closes: #679660
    - Fix PO-Revision-Date's.

  [ Didier Raboud ]
  * Disable 'Download Debian GNU/Hurd as stable' as this won't be
    possible in wheezy.
  * Replace the 'spacefun' screenshot with a 'Joy' screenshot.
  * Sync default video modes for Linux with the rest of d-i.
  * Default to the graphical install for all kernels.

  * Bug-fixing:
    - Drop the lonely opening parenthesis around the options specifiers
      in BrandingText.
    - Drop useless branch in dailies URL handler.

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Aug 2012 22:05:25 +0200

win32-loader (0.7.4.6) unstable; urgency=low

  [ Christian Perrier ]
  * Updated translations:
    - Brazilian Portuguese (Felipe Augusto van de Wiel (faw)).

 -- Didier Raboud <odyx@debian.org>  Sat, 07 Jul 2012 23:28:50 +0200

win32-loader (0.7.4.5) unstable; urgency=low

  * Updated translations:
    - Asturian (ivarela)
    - Slovenian (Vanja Cvelbar). Closes: #670621
    - Vietnamese (Hai Lang)
    - Traditional Chinese (Vincent Chen). Closes: #672324
  * Added translations:
    - Khmer (Khoem Sokhem)
    - Latvian (Rūdolfs Mazurs). Closes: #674702
    - Welsh (Daffyd Tomos).
  * Thanks to Christian Perrier for most updates above.

 -- Didier Raboud <odyx@debian.org>  Thu, 07 Jun 2012 16:31:54 +0200

win32-loader (0.7.4.4) unstable; urgency=low

  The « Миш » release.

  * Updated translations:
    - Hebrew (Lior Kaplan)
    - Simplified Chinese (YunQiang Su). Closes: #656772
    - Serbian (Karolina Kalic). Closes: #656905
    - Serbian Latin (Karolina Kalic). Closes: #656906
    - Polish (Michał Kułach). Closes: #657268
    - Indonesian (Mahyuddin Susanto).
    - Danish (Joe Hansen). Closes: #661986
    - Croatian (Tomislav Krznar). Closes: #664982
  * Thanks to Christian Perrier for most updates above.

  [ Didier Raboud ]
  * Make XFCE the default desktop on !linux.
  * Mark some targets as .PHONY to make sure they get rebuilt for each
    flavour.
  * Enable the two Serbian translations.
  * Add PXE functionality to the standalone flavour. (Closes: #657830)
  * Bump Standards-Version to 3.9.3.1 without changes needed.
  * Drop the versionned dependency on base-files, now satisfied in
    oldstable.

 -- Didier Raboud <odyx@debian.org>  Wed, 28 Mar 2012 09:40:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,18 @@
  mingw-w64,
  gettext,
  grub-pc-bin (>= 1.99~rc1-3),
+ ipxe,
  loadlin (>= 1.6c.really1.6c.nobin-1~),
  locales-all,
  gpgv-win32, debian-archive-keyring,
  cpio-win32 (>= 2.11-4), gzip-win32
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=d-i/win32-loader.git
 Vcs-Git: git://git.debian.org/d-i/win32-loader.git
 
 Package: win32-loader
 Architecture: all
-Depends: ${misc:Depends}, base-files (>= 4.0.1~)
+Depends: ${misc:Depends}
 Built-Using: ${w32-loader:built-using}
 Suggests: wine
 Description: Debian-Installer loader for win32

## win32-loader 0.7.4.8b1

=== debian/changelog ===
win32-loader (0.7.4.8b1) staging; urgency=medium

  * Rebuild for Tanglu.

 -- Jon Severinsson <jon@severinsson.net>  Mon, 10 Feb 2014 16:00:00 +0100

win32-loader (0.7.4.8) unstable; urgency=low

  * Post-Wheezy release: rebuild to embed up-to-date dependencies.

 -- Didier Raboud <odyx@debian.org>  Fri, 31 May 2013 08:54:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 W32_VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 W32_BYHAND_NAME := win32-loader_$(W32_VERSION)_all
 
-B_D_PACKAGES := grub-pc-bin cpio-win32 gzip-win32 gpgv-win32 debian-archive-keyring loadlin
+B_D_PACKAGES := grub-pc-bin cpio-win32 gzip-win32 gpgv-win32 debian-archive-keyring loadlin ipxe
 
 PACKAGES_LIST := $(shell set -e; \
 	for p in ${B_D_PACKAGES}; \
@@ -37,8 +37,9 @@
 
 override_dh_auto_build:
 ifeq ($(BYHAND),yes)
-	# Build the standalone version
+	# Build the standalone+pxe version
 	STANDALONE=yes \
+		PXE=yes \
 		OUTFILE_NAME=$(W32_BYHAND_NAME).exe \
 		dh_auto_build

## win32-loader 0.7.8

=== debian/changelog ===
win32-loader (0.7.8) unstable; urgency=medium

  * Disable 'Download Debian GNU/kFreeBSD as stable' as this won't be possible
    in jessie
  * Bump Build-Depends against nsis to 2.46-10 as -9 has a NSISdl.dll that
    depends on runtime on libwinpthread-1.dll, which fails to load on Windows
    (Closes: #772898) Thanks to Bernhard Übelacker.

 -- Didier Raboud <odyx@debian.org>  Tue, 16 Dec 2014 17:00:15 +0100

win32-loader (0.7.7) unstable; urgency=medium

  The « Lineus longissimus » release

  [ Cyril Brulebois ]
  * Fix typo in previous changelog entry.

  [ Didier Raboud ]
  * Use '---' instead of '--' for the kernel command-line (Closes: #768340)

 -- Didier Raboud <odyx@debian.org>  Thu, 13 Nov 2014 14:50:11 +0100

win32-loader (0.7.6) unstable; urgency=medium

  The « Munchkin Katz » release

  * Drop now-redundant desktop selection, arch-specifics will be handled by
    tasksel, also drop the related translations. (Closes: #762478)

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Oct 2014 08:31:32 +0200

win32-loader (0.7.5) unstable; urgency=medium

  The « Schistocerca gregaria » release

  * Replicate d-i's change for the video mode for the graphical installer:
      Remove old video=vesa:ywrap,mtrr option from VIDEO_MODE_GTK
      DirectFB apparently needed those at some point. Let's see whether
      letting the kernel do its job just works. (See: #395040)
  * Fetch hurd dailies from d-i.debian.org
  * Replace deprcated wiki.d.o errata url with the one from www.d.o
  * Use http.d.n instead of cdn.d.n

 -- Didier Raboud <odyx@debian.org>  Tue, 12 Aug 2014 22:51:27 +0200

win32-loader (0.7.4.10) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Updated translations:
    - Korean

 -- Christian Perrier <bubulle@debian.org>  Wed, 23 Apr 2014 07:31:52 +0200

win32-loader (0.7.4.9) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Christian Perrier ]
  * Add myself to Uploaders
  * Update Standards to 3.9.4 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 13:08:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <odyx@debian.org>
+Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <odyx@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50),
- nsis (>= 2.46-7~), nsis-pluginapi,
+ debhelper (>= 9),
+ nsis (>= 2.46-10~), nsis-pluginapi,
  mingw-w64,
  gettext,
  grub-pc-bin (>= 1.99~rc1-3),
@@ -14,9 +14,9 @@
  locales-all,
  gpgv-win32, debian-archive-keyring,
  cpio-win32 (>= 2.11-4), gzip-win32
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=d-i/win32-loader.git
-Vcs-Git: git://git.debian.org/d-i/win32-loader.git
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/win32-loader.git
+Vcs-Git: git://anonscm.debian.org/d-i/win32-loader.git
 
 Package: win32-loader
 Architecture: all

## win32-loader 0.7.8+deb8u1

=== debian/changelog ===
win32-loader (0.7.8+deb8u1) jessie; urgency=low

  * Replace the Joy screenshot by a recent Lines screenshot
  * Replace http.debian.net with httpredir.debian.org

 -- Didier Raboud <odyx@debian.org>  Sun, 26 Apr 2015 15:19:28 +0200

## win32-loader 0.7.10

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,15 @@
 
 PACKAGE	:= win32-loader
 VERSION	:= $(shell head -n 1 debian/changelog | sed -e "s/^$(PACKAGE) (\(.*\)).*/\1/g")
-
-NSIS_CC		:= i686-w64-mingw32-gcc -Os
+BUILD_DATE	?= $(shell LC_ALL=C date +'%a, %d %b %Y %T %z')
+FOUR_DIGITS_DATE	:= $(shell date -u +'%Y.%m.%d.%H%M' --date="$(BUILD_DATE)")
+
+NSIS_CC		:= i686-w64-mingw32-gcc -Os -Xlinker --no-insert-timestamp
 NSIS_STRIP	:= i686-w64-mingw32-strip
 NSIS_CFLAGS	:= -Wl,--file-alignment,512 -Werror -D_WIN32_WINNT=0x0500
 
+ICONSIZES       := 16 24 32 48 256
+
 ifeq ($(wildcard /usr/i686-w64-mingw32/include/exdll.h), /usr/i686-w64-mingw32/include/exdll.h)
 NSIS_CFLAGS	+= -DHAVE_EXDLL_H
 else
@@ -21,7 +25,7 @@
 MAKENSIS	:= makensis -V3
 
 # Add to it some version'ing and date
-MAKENSIS	+= -DVERSION=$(VERSION) -D4DIGITS_DATE=`date +%Y.%m.%d.%H%M`
+MAKENSIS	+= -DVERSION=$(VERSION) -D4DIGITS_DATE=$(FOUR_DIGITS_DATE)
 
 ifdef OUTFILE_NAME
 MAKENSIS	+= -D_OUTFILE_NAME=$(OUTFILE_NAME)
@@ -109,21 +113,30 @@
 	cp $^ $@
 
 ifdef PXE
-pxe.target: pxe.lkrn templates/ternary_choice.ini
-else
-pxe.target:
+PXE_TARGETS = pxe.lkrn templates/ternary_choice.ini
+else
+PXE_TARGETS =
 endif
 
 templates/gtk.bmp: templates/gtk_orig.png
 	convert $^ -resize 107x80 BMP3:$@
+
+# Build icons out of the SVG source, force them being square
+icon/swirl-%.png: icon/swirl.svg
+	rsvg-convert -f png -h $* -w $* $^ > $@
+
+# Build the icon out of the PNG icons
+win32-loader.ico: $(ICONSIZES:%=icon/swirl-%.png)
+	icotool -c -o $@ $^
 
 win32-loader.exe: main.nsi maps.ini \
 		templates/binary_choice.ini templates/graphics.ini templates/custom.ini templates/4_choices.ini \
 		templates/gtk.bmp templates/text.bmp \
 		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
 		plugins/sha1sum.dll \
-		pxe.target \
-		swirl.ico loadlin.pif loadlin.exe g2ldr g2ldr.mbr
+		$(PXE_TARGETS) \
+		win32-loader.ico loadlin.pif loadlin.exe g2ldr g2ldr.mbr
+	find $^ -newermt "$(BUILD_DATE)" -print0 | xargs -0r touch --date="$(BUILD_DATE)"
 	$(MAKE) -C l10n
 	$(MAKENSIS) main.nsi
 ifndef OUTFILE_NAME
@@ -214,7 +227,7 @@
 clean:
 	$(MAKE) -C l10n clean
 	rm -f plugins/cpuid/*.dll plugins/cpuid/*.exe plugins/systeminfo/*.dll plugins/*.dll win32-loader.exe \
-		*.iso *~ */*~ core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe pxe.lkrn
+		*.iso *~ */*~ core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe pxe.lkrn icon/*.png win32-loader.ico
 
 distclean: clean
 	rm -rf netboot

=== debian/changelog ===
win32-loader (0.7.10) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Make package build reproducibly:
    - Don't insert timestamps when building NSIS DLLs
    - Allow to set build date externally
    - Reset embedded file modification times to the build date
    - Set build date in debian/rules to the latest debian/changelog entry
  * Makefile syntax fix in PXE targets definition

 -- Didier Raboud <odyx@debian.org>  Wed, 29 Apr 2015 09:25:43 +0200

win32-loader (0.7.9) unstable; urgency=medium

  * Add NSIS in the Built-Using list, given that win32-loader embeds (at least)
    NSISdl.dll
  * Build the icon out of a square SVG file; add librsvg2-bin and icoutils to
    Build-Depends
  * Replace the Joy screenshot by a recent Lines screenshot
  * Replace http.debian.net with httpredir.debian.org

 -- Didier Raboud <odyx@debian.org>  Sun, 26 Apr 2015 14:06:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  debhelper (>= 9),
  nsis (>= 2.46-10~), nsis-pluginapi,
  mingw-w64,
+ librsvg2-bin, icoutils,
  gettext,
  grub-pc-bin (>= 1.99~rc1-3),
  ipxe,

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,12 @@
 # Install the win32-loader-standalone.exe as debian/tools/win32-loader/$(SUITE)/win32-loader.exe on the mirrors
 BYHAND ?= yes
 
+BUILD_DATE := $(shell dpkg-parsechangelog -S Date)
+
 W32_VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 W32_BYHAND_NAME := win32-loader_$(W32_VERSION)_all
 
-B_D_PACKAGES := grub-pc-bin cpio-win32 gzip-win32 gpgv-win32 debian-archive-keyring loadlin ipxe
+B_D_PACKAGES := grub-pc-bin cpio-win32 gzip-win32 gpgv-win32 debian-archive-keyring loadlin ipxe nsis
 
 PACKAGES_LIST := $(shell set -e; \
 	for p in ${B_D_PACKAGES}; \
@@ -41,6 +43,7 @@
 	STANDALONE=yes \
 		PXE=yes \
 		OUTFILE_NAME=$(W32_BYHAND_NAME).exe \
+		BUILD_DATE="$(BUILD_DATE)" \
 		dh_auto_build
 	
 	# Prepare the README file
@@ -52,6 +55,7 @@
 endif
 	# Build the cdrom version
 	OUTFILE_NAME=win32-loader.exe \
+		BUILD_DATE="$(BUILD_DATE)" \
 		dh_auto_build
 
 override_dh_auto_clean:

## win32-loader 0.8.3%2Bdeb9u1

=== debian/rules ===
#!/usr/bin/make -f

# Install the win32-loader-standalone.exe as debian/tools/win32-loader/$(SUITE)/win32-loader.exe on the mirrors
BYHAND ?= yes

BUILD_DATE := $(shell dpkg-parsechangelog -S Date)

W32_VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
W32_BYHAND_NAME := win32-loader_$(W32_VERSION)_all

B_D_PACKAGES := grub-pc-bin cpio-win32 gzip-win32 gpgv-win32 debian-archive-keyring loadlin ipxe nsis libgcrypt-mingw-w64-dev libgpg-error-mingw-w64-dev

PACKAGES_LIST := $(shell set -e; \
	for p in ${B_D_PACKAGES}; \
	do \
		dpkg-query --showformat='$${source:Package;-25} $${source:Version;-25} http://deb.debian.org/debian/pool/main/$${source:Package;1}/$${source:Package}\\n' --show $$p; \
	done)

BUILT_USING_LIST := $(shell set -e; \
	for p in ${B_D_PACKAGES}; \
	do \
		dpkg-query --showformat='$${source:Package} (= $${source:Version}), ' --show $$p; \
	done)

NSIS_VERSION  := $(shell dpkg-query -f='$${Version}' -W nsis )

%:
	dh $@

override_dh_auto_build:
ifeq ($(BYHAND),yes)
	# Build the standalone+pxe version
	# Don't allow non-Linux kernels, as their download is currently broken (see #819092)
	STANDALONE=yes \
		PXE=yes \
		NOT_ALLKERNELS=yes \
		OUTFILE_NAME=$(W32_BYHAND_NAME).exe \
		BUILD_DATE="$(BUILD_DATE)" \
		dh_auto_build
	
	# Prepare the README file
	gawk '{sub(/@PACKAGES_LIST@/,"$(PACKAGES_LIST)")}1 \
	      {sub(/@NSIS_VERSION@/,"$(NSIS_VERSION)")}1 \
	      {sub(/@W32_VERSION@/,"$(W32_VERSION)")}1' \
		debian/win32-loader_doc.txt > $(W32_BYHAND_NAME).txt
	cat debian/copyright >> $(W32_BYHAND_NAME).txt
endif
	# Build the cdrom version
	OUTFILE_NAME=win32-loader.exe \
		BUILD_DATE="$(BUILD_DATE)" \
		dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(W32_BYHAND_NAME).exe
	rm -f $(W32_BYHAND_NAME).txt

override_dh_builddeb:
	dh_builddeb
ifeq ($(BYHAND),yes)
	cp $(W32_BYHAND_NAME).exe ../
	dpkg-distaddfile $(W32_BYHAND_NAME).exe byhand -

	cp $(W32_BYHAND_NAME).txt ../
	dpkg-distaddfile $(W32_BYHAND_NAME).txt byhand -
endif

override_dh_gencontrol:
	dh_gencontrol -- -Vw32-loader:built-using="$(BUILT_USING_LIST)"

## win32-loader 0.8.3+deb9u1

=== Makefile ===
--- 
+++ 
@@ -63,8 +63,13 @@
 # Disabling the kFreeBSD download
 ifndef NOT_ALLKERNELS
 MAKENSIS	+= -DALLKERNELS=yes
-else
-OPTIONS_TXT	+= =linux
+OPTIONS_TXT	+= +kernels
+endif
+
+# Allowing the branch selection
+ifdef DAILIES
+MAKENSIS	+= -DDAILIES=yes
+OPTIONS_TXT	+= +dailies
 endif
 
 ifdef OPTIONS_TXT
@@ -133,7 +138,7 @@
 		templates/binary_choice.ini templates/graphics.ini templates/custom.ini templates/4_choices.ini \
 		templates/gtk.bmp templates/text.bmp \
 		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
-		plugins/sha1sum.dll \
+		plugins/libgcrypt_hash.dll \
 		$(PXE_TARGETS) \
 		win32-loader.ico loadlin.pif loadlin.exe g2ldr g2ldr.mbr
 	find $^ -newermt "$(BUILD_DATE)" -print0 | xargs -0r touch --date="$(BUILD_DATE)"
@@ -157,8 +162,8 @@
 	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
 	$(NSIS_STRIP) $@
 
-plugins/sha1sum.dll: plugins/sha1sum.c
-	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
+plugins/libgcrypt_hash.dll: plugins/libgcrypt_hash.c
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -static-libgcc /usr/i686-w64-mingw32/lib/libgcrypt.a /usr/i686-w64-mingw32/lib/libgpg-error.a -o $@
 	$(NSIS_STRIP) $@
 
 iso: stable.iso daily.iso
@@ -176,7 +181,7 @@
   $(NULL)
 	genisoimage -r -J -o $@ netboot/daily
 
-BASE_URL=http://ftp.nl.debian.org/debian/dists/stable/main
+BASE_URL=http://deb.debian.org/debian/dists/stable/main
 netboot/download-stable-stamp:
 	mkdir -p netboot/stable/install.{386,amd}/gtk
 	wget $(BASE_URL)/installer-i386/current/images/netboot/debian-installer/i386/linux \
@@ -195,17 +200,17 @@
 
 netboot/download-daily-stamp:
 	mkdir -p netboot/daily/install.{386,amd}/gtk
-	wget http://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/linux \
+	wget https://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/linux \
 		-O netboot/daily/install.386/vmlinuz
-	wget http://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/initrd.gz \
+	wget https://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/initrd.gz \
 		-O netboot/daily/install.386/initrd.gz
-	wget http://d-i.debian.org/daily-images/i386/daily/netboot/gtk/debian-installer/i386/initrd.gz \
+	wget https://d-i.debian.org/daily-images/i386/daily/netboot/gtk/debian-installer/i386/initrd.gz \
 		-O netboot/daily/install.386/gtk/initrd.gz
-	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/linux \
+	wget https://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/linux \
 		-O netboot/daily/install.amd/vmlinuz
-	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/initrd.gz \
+	wget https://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/initrd.gz \
 		-O netboot/daily/install.amd/initrd.gz
-	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/gtk/debian-installer/amd64/initrd.gz \
+	wget https://d-i.debian.org/daily-images/amd64/daily/netboot/gtk/debian-installer/amd64/initrd.gz \
 		-O netboot/daily/install.amd/gtk/initrd.gz
 	touch $@

=== debian/changelog ===
win32-loader (0.8.3+deb9u1) stretch; urgency=medium

  * Drop bz2 compression for source
  * Replace all mirror urls with deb.debian.org

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Jul 2017 14:24:26 +0200

win32-loader (0.8.3) unstable; urgency=low

  * The « Pippita » release

  * Fix FTBFS on i386: use gawk to prepare README file (Closes: #860695)

 -- Didier Raboud <odyx@debian.org>  Wed, 19 Apr 2017 18:03:11 +0200

win32-loader (0.8.2) unstable; urgency=medium

  * The « Iao » release

  * Fix dpkg-query calls to use source:* for Version and Package directly
    - Add Build-Dependency on dpkg (>= 1.16.2) for that support
    - Fixes the FTBFS revealed by loadlin's binNMU
    (Closes: #858104)

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Mar 2017 21:23:59 +0100

win32-loader (0.8.1) unstable; urgency=medium

  * The « poipoi » release

  * As NSIS doesn't support downloading from https (#819092), and as
    d-i dailies are now on an https-enforced hosts: don't allow branch
    or kernel selection
  * Replace the Lines screenshot by a recent softWaves screenshot
  * Refresh debian/copyright in CF1.0

 -- Didier Raboud <odyx@debian.org>  Thu, 29 Dec 2016 20:57:22 +0100

win32-loader (0.8.0) unstable; urgency=low

  * The « Κρυπτεία σκυτάλη » release

  * Refresh the crypto management code:
   - Replace the sha1sum.c NSIS with a more generic libgcrypt_hash.c plugin,
     therefore Build-Depend on libgcrypt-mingw-w64-dev for static linking, and
     add these to the Built-Using list
   - Rewrite the NSIS code to be more hash-independent
   - Use SHA256SUMS instead of MD5SUMS everywhere possible (Closes: #818604)
   - Remove all MD5-checking code

  * Bump Build-Depends against nsis to 2.48 as it fixes a privilege escalation
    in generated installers
  * Update the non-Linux comments for the stretch release
  * Lift constraint on Windows versions; all >= Win7 versions use bcdedit.exe
    apparently (Closes: #775055)
  * Specify msgid-bugs-address in xgettext call to avoid noisy diffs
  * Bump Standards-Version to 3.9.8 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Apr 2016 23:22:22 +0200

win32-loader (0.7.14) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Feb 2016 19:13:03 +0100

win32-loader (0.7.13) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Switch d-i.debian.org URIs from http to https.

 -- Christian Perrier <bubulle@debian.org>  Mon, 04 Jan 2016 06:57:56 +0100

win32-loader (0.7.12) unstable; urgency=medium

  * Revert premature and wrong Vcs-Browser URL update
  * Remove 'Introduce a trust chain …' from TODO list, that's implemented

 -- Didier Raboud <odyx@debian.org>  Thu, 03 Dec 2015 08:58:33 +0100

win32-loader (0.7.11) unstable; urgency=medium

  * Bump Standards-Version without changes needed
  * Update Vcs-Browser URLs
  * Add missing ImageMagick Build-Depends (Closes: #806447)
  * Fix function implicit declaration warning

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Nov 2015 19:25:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,24 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <odyx@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends:
+ dpkg (>= 1.16.2),
  debhelper (>= 9),
- nsis (>= 2.46-10~), nsis-pluginapi,
+ nsis (>= 2.48), nsis-pluginapi,
  mingw-w64,
+ libgcrypt-mingw-w64-dev, libgpg-error-mingw-w64-dev,
  librsvg2-bin, icoutils,
+ gawk,
  gettext,
  grub-pc-bin (>= 1.99~rc1-3),
+ imagemagick,
  ipxe,
  loadlin (>= 1.6c.really1.6c.nobin-1~),
  locales-all,
  gpgv-win32, debian-archive-keyring,
  cpio-win32 (>= 2.11-4), gzip-win32
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/win32-loader.git
-Vcs-Git: git://anonscm.debian.org/d-i/win32-loader.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/win32-loader.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/win32-loader.git
 
 Package: win32-loader
 Architecture: all

## win32-loader 0.9.4

=== debian/changelog ===
win32-loader (0.9.4) unstable; urgency=medium

  [ Thomas Gaugler ]
  * Simplification of BOOTCFG_CreateGUID function (Closes: #919023)

 -- Didier Raboud <odyx@debian.org>  Wed, 16 Jan 2019 21:12:07 +0100

win32-loader (0.9.3) unstable; urgency=medium

  [ Thomas Gaugler ]
  * Fix memory leaks in BOOTCFG_CreateGUID

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Jan 2019 18:38:43 +0100

win32-loader (0.9.2) unstable; urgency=medium

  * The « Panosse » release

  [ Holger Wansing ]
  * Refresh po files, to remove old, no longer used translation strings
    for desktop selection (feature was deleted with commit 56afa6af, in
    package version 0.7.6, Closes: #915211)

 -- Didier Raboud <odyx@debian.org>  Sat, 01 Dec 2018 19:40:56 +0100

win32-loader (0.9.1) unstable; urgency=medium

  * The « Knöpfle » release

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement)

  [ Didier Raboud ]
  * Use `cme` to rewrite dpkg-control; declare compliance to Debian
    Policy 4.1.2
  * Bump debhelper to 11
  * Also embed debian-archive-removed-keys keyring, as current stable's
    Release file is also signed with Wheezy's Archive signing key, which
    makes gpgv exit with 2

 -- Didier Raboud <odyx@debian.org>  Fri, 30 Nov 2018 23:45:20 +0100

win32-loader (0.9.0) unstable; urgency=medium

  * The « ፨ ለስላሳ » release

  * Migrate to NSIS 3

  [ Thomas Gaugler ]
  * Code cleanup; port to NSIS 3 and BCD

  [ Didier Raboud ]
  * Remove Robert Millan and Christian Perrier from Uploaders with thanks for
    their past work
  * Link statically against libwsock32.a
  * Bump Standards-Version to 4.1.3
  * Set priority to optional

  [ Eva Vranici ]
  * Translation of win32-loader to Albanian (sq)

 -- Didier Raboud <odyx@debian.org>  Sun, 01 Apr 2018 16:34:36 +0200

win32-loader (0.8.4) unstable; urgency=medium

  * The « Folivora » release

  * Drop bz2 compression for source
  * Replace all mirror urls with deb.debian.org

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Jun 2017 10:01:32 +0200

## win32-loader 0.9.4+deb10u2

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 ifeq ($(wildcard /usr/i686-w64-mingw32/include/exdll.h), /usr/i686-w64-mingw32/include/exdll.h)
 NSIS_CFLAGS	+= -DHAVE_EXDLL_H
 else
-NSIS_CFLAGS	+= -L/usr/i686-w64-mingw32/lib/nsis/ -lpluginapi
+NSIS_CFLAGS	+= -L/usr/i686-w64-mingw32/lib/nsis/ -lpluginapi-x86-ansi
 endif
 
 # Standard makensis call
@@ -163,7 +163,7 @@
 	$(NSIS_STRIP) $@
 
 plugins/libgcrypt_hash.dll: plugins/libgcrypt_hash.c
-	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -static-libgcc /usr/i686-w64-mingw32/lib/libgcrypt.a /usr/i686-w64-mingw32/lib/libgpg-error.a -o $@
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -static-libgcc /usr/i686-w64-mingw32/lib/libgcrypt.a /usr/i686-w64-mingw32/lib/libgpg-error.a /usr/i686-w64-mingw32/lib/libwsock32.a -o $@
 	$(NSIS_STRIP) $@
 
 iso: stable.iso daily.iso

=== l10n/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	LANGUAGE=$* ./win32-loader.sh > $@
 
 po/messages.pot: win32-loader.sh win32-loader.c
-	xgettext --from-code=utf-8 -ctranslate --keyword=_ $^ -o $@
+	xgettext --msgid-bugs-address=win32-loader@packages.debian.org --from-code=utf-8 -ctranslate --keyword=_ $^ -o $@
 
 clean:
 	rm -rf *~ templates locale win32-loader

=== debian/changelog ===
win32-loader (0.9.4+deb10u2) buster; urgency=medium

  * Fix stable FTBFS through enforcing LC_ALL=POSIX

 -- Didier Raboud <odyx@debian.org>  Sat, 24 Aug 2019 18:44:18 +0200

win32-loader (0.9.4+deb10u1) buster; urgency=medium

  * Rebuild in stable to embed the latest debian-archive-keyring
    (Closes: #933829)

 -- Didier Raboud <odyx@debian.org>  Fri, 16 Aug 2019 08:53:00 +0200

=== debian/control ===
Source: win32-loader
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11~),
               nsis (>= 3),
               nsis-pluginapi,
               mingw-w64,
               libgcrypt-mingw-w64-dev,
               libgpg-error-mingw-w64-dev,
               librsvg2-bin,
               icoutils,
               gawk,
               gettext,
               grub-pc-bin,
               imagemagick,
               ipxe,
               loadlin,
               locales-all,
               gpgv-win32,
               debian-archive-keyring,
               cpio-win32,
               gzip-win32
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/installer-team/win32-loader
Vcs-Git: https://salsa.debian.org/installer-team/win32-loader.git

Package: win32-loader
Architecture: all
Depends: ${misc:Depends}
Suggests: wine
Built-Using: ${w32-loader:built-using}
Description: Debian-Installer loader for win32
 This package provides a win32 program that can be used as a loader for
 Debian Installer, acting as a more user-friendly boot mechanism than
 traditional BIOS-based boot.
 .
 This package contains the cdrom/usb-disk add-on that starts a media-based
 install.

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,10 @@
 	done)
 
 NSIS_VERSION  := $(shell dpkg-query -f='$${Version}' -W nsis )
+
+# A non-UTF-8 locale is needed for the NSIS build to convert some language strings
+LC_ALL := POSIX
+export LC_ALL
 
 %:
 	dh $@

## win32-loader 0.9.5

=== debian/changelog ===
win32-loader (0.9.5) unstable; urgency=medium

  [ Didier Raboud ]
  * Add Thomas Gaugler as co-maintainer
  * Trim trailing whitespace

  [ Thomas Gaugler ]
  * Restore register $9 in BOOTCFG_RemoveBootEntry

 -- Didier Raboud <odyx@debian.org>  Wed, 06 Mar 2019 10:57:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: win32-loader
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Didier Raboud <odyx@debian.org>
+Uploaders: Thomas Gaugler <thomas@dadie.net>,
+           Didier Raboud <odyx@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 11~),
